#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hOpenPGP
version:              2.10.0
visibility:           public
id:                   hOpenPGP-2.10.0-EeAXCCcKtGjG9rkFTrdcj5
key:                  hOpenPGP-2.10.0-EeAXCCcKtGjG9rkFTrdcj5
license:              MIT
copyright:            2012-2024  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  a6c413dc32110019dabe29c13e10ebd8
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Crypton
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptonNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.10.0-EeAXCCcKtGjG9rkFTrdcj5
depends:
    aeson-2.1.2.1-CJUEk8Q0QXZ63rfmeHQCzY
    asn1-encoding-0.9.6-3x7ZgPhBJsG1syz5zuvxo6
    attoparsec-0.14.4-HJXsa8cMY97Lp9qL0m21oG base-4.17.2.1
    base16-bytestring-1.0.2.0-LbfTlLWmPdc9MFeB3bfiLt
    bifunctors-5.6-5KrJJWXN6lQKV6QHE4OSXU binary-0.8.9.1
    binary-conduit-1.3.1-BpP0J629zfZBSiqQdzyRrW bytestring-0.11.5.3
    bz2-1.0.1.1-I7iuQgNM7y0HDLk7gxB1pT
    conduit-1.3.6.1-t97EsPJ1aWGqkQHikR1p8
    conduit-extra-1.3.6-1V7vliRQJ7JLW9QugEAPr2 containers-0.6.7
    crypto-cipher-types-0.0.9-56ZYVGDFxwtG8TJEc7UjH2
    crypton-0.34-nIgIaEefoJJHFVCyLJMup
    errors-2.3.0-6JjypyHtdxsJDEDaE0fm23
    hashable-1.4.4.0-LtdCyz5lRpSEDVfQGtCbHQ
    incremental-parser-0.5.1-60FqR6j2Aef1OlAV0DWU41
    ixset-typed-0.5.1.0-9ttLyWS8ebJ2P7FHjI2qDM
    lens-5.2.3-36OjZeBxEMTEmtquxK69F4
    memory-0.18.0-1oHOZXUPjWrG0kImkORGvt
    monad-loops-0.4.3-KaRiS5mJjkQ1zBkxxbNC2Z
    nettle-0.3.1.1-1YbDn5AJWxHLXr6DClLuRr
    network-uri-2.6.4.2-BSIANA0b7f4FqAKAmElYJ
    openpgp-asciiarmor-0.1.2-9392S7kKC0u4GUiE83cd3M
    prettyprinter-1.7.1-C5HmRCcNKvH3komkkNnKOd
    resourcet-1.2.6-HGtfNYJcPBqERcZSDZwt5Y
    split-0.2.5-4oYyCdOwbo5I1Zv7xTuLK text-2.0.2 time-1.12.2
    time-locale-compat-0.1.1.5-1zJhxgkP2bvGiOhYof1wNA
    transformers-0.5.6.2 unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-4tF6VC1d0ODJ0H7AFNioZw
    zlib-0.6.3.0-6peUynB0xzKG4lWqKpMccl

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

